"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _useMaskedTextInputListener = _interopRequireDefault(require("../../hooks/useMaskedTextInputListener"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const MaskedTextInput = /*#__PURE__*/(0, _react.forwardRef)(({
  affinityCalculationStrategy,
  affinityFormat,
  autocomplete = true,
  autoSkip = false,
  customNotations,
  isRTL = false,
  mask,
  autoCapitalize = "words",
  allowedKeys,
  defaultValue,
  onChange,
  onChangeText,
  onTailPlaceholderChange,
  onFocus,
  renderTextInputComponent,
  validationRegex,
  ...rest
}, ref) => {
  const InputComponent = renderTextInputComponent ?? _reactNative.TextInput;
  const inputRef = (0, _react.useRef)(null);
  const {
    defaultValue: maskedDefaultValue,
    handleFocus,
    handleOnChange,
    setTextField
  } = (0, _useMaskedTextInputListener.default)({
    mask,
    affinityFormat,
    affinityCalculationStrategy,
    customNotations,
    allowedKeys,
    autocomplete,
    autoSkip,
    isRTL,
    onChange,
    onChangeText,
    onTailPlaceholderChange,
    onFocus,
    validationRegex,
    defaultValue
  });
  (0, _react.useImperativeHandle)(ref, () => {
    setTextField(inputRef.current);
    return inputRef.current;
  }, [setTextField, inputRef]);
  return /*#__PURE__*/_react.default.createElement(InputComponent, _extends({
    ref: inputRef,
    autoCapitalize: autoCapitalize,
    defaultValue: maskedDefaultValue,
    onChange: handleOnChange,
    onFocus: handleFocus
  }, rest));
});
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(MaskedTextInput);
//# sourceMappingURL=index.js.map